For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet returns
          • GETGet returns for an order
          • GETGet return
          • PUTCreate a return
          • GETGet the refunded amounts for the return
          • POSTMark the return as complete
          • POSTReport errors encountered when processing the return refund
LogoLogo
RESTFeedAMP Order SourceReturns

Get returns

GET
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/returns
GET
/api/v1/returns
$curl https://marketplace-order-api.feedamp.feedonomics.com/api/v1/returns \
> -H "Authorization: Bearer <token>"
1{
2 "returns": [
3 {
4 "status": "AUTHORIZED",
5 "rma": "RMA-12345",
6 "mp_return_number": "RET-600A",
7 "mp_order_number": "600A",
8 "request_date": {},
9 "respond_date": {},
10 "shipping_address": {
11 "full_name": "John M. Doe",
12 "address1": "123 Fake Street",
13 "city": "Ghost Town",
14 "state": "DC",
15 "postal_code": "91234",
16 "country_code": "USA",
17 "address_type": "business",
18 "address2": "Building 456",
19 "address3": "Room 789",
20 "phone": "9997776666"
21 },
22 "customer_email": "customer@internet-provider.com",
23 "return_type": "SHIP",
24 "return_lines": [
25 {
26 "mp_return_line_number": "RETURN-XX-111-FF-1111",
27 "mp_order_line_number": "XX-111-FF-1111",
28 "sku": "1234-12353",
29 "quantity": 1,
30 "currency": "USD",
31 "requested_refund_principal": 1.1,
32 "reason": "Wrong color sent",
33 "preauthorized": true,
34 "product_name": "ACME Super Product",
35 "unit_price": 1.1,
36 "tax": 1.1,
37 "requested_refund_tax": 1.1,
38 "carrier": "UPS",
39 "tracking_number": "XXX-DDD-XXXX-DDDD"
40 }
41 ],
42 "merchant_refund_lines": [
43 {
44 "mp_return_line_number": "RETURN-XX-111-FF-1111",
45 "principal_refund_amount": 1.1,
46 "shipping_refund_amount": 1.1
47 }
48 ],
49 "errors": [
50 {
51 "code": "EXCESS_REFUND",
52 "message": "Requested refund amount for line exceeds line cost"
53 }
54 ]
55 }
56 ],
57 "next_cursor": "12FDG-31dsfgHW"
58}
Get all returns from FeedAMP, filtered by the provided query params
Was this page helpful?
Previous

Report errors encountered when processing a seller-initiated refund

Next

Get returns for an order

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

mp_order_numberslist of stringsOptional

Comma-delimited list of marketplace order numbers

mp_return_numberslist of stringsOptional

Comma-delimited list of marketplace return numbers

stateenumOptional
Filter by return processing state <ul>
  • AUTHORIZED - Return has been authorized
  • REFUNDED - The merchant has released the funds for the return
  • </ul>
    Allowed values:
    has_errorsbooleanOptional

    Include returns either with or without errors. If not set, returns will be returned regardless of the presence/absence of errors

    page_sizeintegerOptional10-50Defaults to 20
    The number of returns per page to return
    cursorstringOptional
    Cursor for the next page of orders

    Response

    Order Returns
    returnslist of objects
    next_cursorstring
    The cursor to get the next page of orders

    Errors

    400
    Bad Request Error
    401
    Unauthorized Error